[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.Create

Constructor for the class instance.

## Declaration

Source position: forms.pp line 698

`public constructor TCustomForm.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner for the class instance.

## Description

Create is the overridden constructor for the class instance. Create sets the default values for internal members used in the form instance, and calls the CreateNew method to configure the visible aspects of the form instance. At run-time, it also calls ProcessResource to load the form content from its resource file.

## See also

TCustomForm.CreateNew |  | Creates a form instance without a resource (.lfm) file.
TCustomForm.ProcessResource |  | Loads resources needed for the form.
TCustomDesignControl.Create |  | Constructor for the class instance.